
From: Daniel Ritz <daniel.ritz@gmx.ch>

> Shouldn't the two pairs of calls to config_writeb() be using
> "O2_RES_READ_PREFETCH | O2_RES_WRITE_BURST" instead of
> "O2_RES_READ_PREFETCH | O2_RES_READ_PREFETCH"?
> 

Signed-off-by: Daniel Ritz <daniel.ritz@gmx.ch>
Cc: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/o2micro.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/pcmcia/o2micro.h~pcmcia-disable-read-prefetch-write-burst-on-old-o2micro-bridges-fix drivers/pcmcia/o2micro.h
--- devel/drivers/pcmcia/o2micro.h~pcmcia-disable-read-prefetch-write-burst-on-old-o2micro-bridges-fix	2005-07-26 00:04:06.000000000 -0700
+++ devel-akpm/drivers/pcmcia/o2micro.h	2005-07-26 00:04:06.000000000 -0700
@@ -155,17 +155,17 @@ static int o2micro_override(struct yenta
 		case PCI_DEVICE_ID_O2_6836:
 			printk(KERN_INFO "Yenta O2: old bridge, disabling read prefetch/write burst\n");
 			config_writeb(socket, O2_RESERVED1,
-			              a & ~(O2_RES_READ_PREFETCH | O2_RES_READ_PREFETCH));
+			              a & ~(O2_RES_READ_PREFETCH | O2_RES_WRITE_BURST));
 			config_writeb(socket, O2_RESERVED2,
-			              b & ~(O2_RES_READ_PREFETCH | O2_RES_READ_PREFETCH));
+			              b & ~(O2_RES_READ_PREFETCH | O2_RES_WRITE_BURST));
 			break;
 
 		default:
 			printk(KERN_INFO "Yenta O2: enabling read prefetch/write burst\n");
 			config_writeb(socket, O2_RESERVED1,
-			              a | O2_RES_READ_PREFETCH | O2_RES_READ_PREFETCH);
+			              a | O2_RES_READ_PREFETCH | O2_RES_WRITE_BURST);
 			config_writeb(socket, O2_RESERVED2,
-			              b | O2_RES_READ_PREFETCH | O2_RES_READ_PREFETCH);
+			              b | O2_RES_READ_PREFETCH | O2_RES_WRITE_BURST);
 		}
 	}
 
_
